jvx.geom

## Class PgPolygon_Menu

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector
      - - jv.objectGui.PsMethodMenu
        - - jv.project.PgGeometry_Menu
          - - jvx.geom.PgPointSet_Menu
            - - jvx.geom.PgPolygon_Menu

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.ItemListener, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, java.util.List, java.util.RandomAccess, PsUpdateIf

      public class PgPolygon_Menu
      extends PgPointSet_Menu

  Add specific menu items to 'method' menu in control panel to invoke methods from menu.
  See Also:
    `PgGeometry_Menu`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    15.09.01, 1.10 revised (ur) Reorganisation of all Method Menus.
    30.05.01, 1.00 created (ur) copied from jv.geom to jvx.geom.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String[]` | `m_polygonMethod`
    `static int` | `MTHD_GET_TUBE`
    `static int` | `MTHD_RESOLUTION`

    - ### Fields inherited from class jvx.geom.PgPointSet_Menu

      `m_pointSetMethod, MTHD_EVOLVE, MTHD_IDENTIFY_VERTICES, MTHD_MARK_WITH_SPHERE, MTHD_MODEL_VECTOR_FIELD, MTHD_NOISE, MTHD_NORMALIZE_VECTOR_FIELD, MTHD_ROTATE_VECTOR_FIELD, MTHD_TRANSFORM`

    - ### Fields inherited from class jv.project.PgGeometry_Menu

      `m_geometryMethod, MTHD_PRINT_ALL, MTHD_PRINT_BNDBOX, MTHD_PRINT_CENTER, MTHD_SHOW_BNDBOX, MTHD_SHOW_CENTER, MTHD_SHOW_NAME, MTHD_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgPolygon_Menu()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applyMethod(java.lang.String aMethod)` Invoke action determined by current string.
    `void` | `init(PsObject anObject)` Register the target geometry, and subclasses should register all menu items and submenus.

    - ### Methods inherited from class jv.project.PgGeometry_Menu

      `getViewer, setViewer, update`

    - ### Methods inherited from class jv.objectGui.PsMethodMenu

      `actionPerformed, addMenu, addMenu, addMenuItem, addMenuItem, addMenuItem, clone, getFather, getLanguage, getMenu, getMenuItem, getName, getPanelVersion, hasMenu, hasMenuItem, itemStateChanged, removeMenu, removeMenuItem, setName, setParent`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### MTHD_RESOLUTION

          public static final int MTHD_RESOLUTION

      See Also:
        Constant Field Values

    - #### MTHD_GET_TUBE

          public static final int MTHD_GET_TUBE

      See Also:
        Constant Field Values

    - #### m_polygonMethod

          public java.lang.String[] m_polygonMethod

  - ### Constructor Detail

    - #### PgPolygon_Menu

          public PgPolygon_Menu()

  - ### Method Detail

    - #### init

          public void init(PsObject anObject)

      Description copied from class: `PsMethodMenu`
      Register the target geometry, and subclasses should register all menu items and submenus.
      Overrides:
        `init` in class `PgPointSet_Menu`
      Parameters:
        `anObject` - argument used by subclasses to specify object on which action shall be executed.

    - #### applyMethod

          public boolean applyMethod(java.lang.String aMethod)

      Description copied from class: `PsMethodMenu`
      Invoke action determined by current string. This method returns `false`, and should be overwritten by subclasses.
      Overrides:
        `applyMethod` in class `PgPointSet_Menu`

"

The software JavaView? is copyright protected. All Rights Reserved.
"